Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.replication.messaging
Class RequestMessage

    java.lang.Object
      rice.p2p.replication.messaging.ReplicationMessage
          rice.p2p.replication.messaging.RequestMessage

All Implemented Interfaces:
  java.io.Serializable, Message, RawMessage

    public class RequestMessage

extends ReplicationMessage

Version:
  $Id: RequestMessage.java 3613 2007-02-15 14:45:14Z jstewart $
Author:
  Alan Mislove
See Also:
  Serialized Form

Field Summary
`protected IdBloomFilter[]` | `filters`
`protected IdRange[]` | `ranges`
`static short` | `TYPE`

Fields inherited from class rice.p2p.replication.messaging.ReplicationMessage
`source`

Fields inherited from interface rice.p2p.commonapi.Message
`DEFAULT_PRIORITY, HIGH_PRIORITY, LOW_PRIORITY, LOWEST_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`RequestMessage(NodeHandle source, IdRange[] ranges, IdBloomFilter[] filters)` Constructor which takes a unique integer Id

Method Summary
`static RequestMessage` | `build(InputBuffer buf, Endpoint endpoint)`
`IdBloomFilter[]` | `getFilters()` Method which returns this messages' bloom filters
`IdRange[]` | `getRanges()` Method which returns this messages' ranges
`short` | `getType()` Raw Serialization
`void` | `serialize(OutputBuffer buf)`
`java.lang.String` | `toString()`

Methods inherited from class rice.p2p.replication.messaging.ReplicationMessage
`getPriority, getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static final short TYPE

See Also:
  Constant Field Values

### ranges

    protected IdRange[] ranges

### filters

    protected IdBloomFilter[] filters

Constructor Detail

### RequestMessage

    public RequestMessage(NodeHandle source,
                          IdRange[] ranges,
                          IdBloomFilter[] filters)

  Constructor which takes a unique integer Id

  Parameters:
    `source` - The source address
    `topic` - The topic

Method Detail

### getRanges

    public IdRange[] getRanges()

  Method which returns this messages' ranges

  Returns:
    The ranges of this message

### getFilters

    public IdBloomFilter[] getFilters()

  Method which returns this messages' bloom filters

  Returns:
    The bloom filters of this message

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getType

    public short getType()

  Raw Serialization

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Specified by:
    `serialize` in interface `RawMessage`
  Overrides:
    `serialize` in class `ReplicationMessage`
  Throws:
    `java.io.IOException`

### build

    public static RequestMessage build(InputBuffer buf,
                                       Endpoint endpoint)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.